<script lang="ts">
  import { createEventDispatcher } from "svelte";
  import { getAffiliation, isAssassin, isPlayerActive } from "./theResistance";
  const dispatch = createEventDispatcher();
  function performAction(action: Action) {
    dispatch("action", action);
  }

  export let state: GameState;
  export let user: PlayerState | undefined;

  $: resistanceMembers = state.players.filter(
    (p) => getAffiliation(p.hand) === "Resistance"
  );
  let selectedTarget: PlayerId | null = null;

  function handleSubmit(_: Event) {
    if (selectedTarget !== null)
      performAction({ Assassinate: { target: selectedTarget } });
  }
</script>

{#if user && isPlayerActive(state, user.id)}
  <form on:submit|preventDefault={handleSubmit}>
    <ul>
      {#each resistanceMembers as player (player.id)}
        <li>
          <label>
            <input type="radio" bind:group={selectedTarget} value={player.id} />
            <gs6-user userid={player.id} />
          </label>
        </li>
      {/each}
    </ul>
    <button class="primary" disabled={selectedTarget === null} type="submit">
      Assassinate!
    </button>
  </form>
{/if}

<style>
  form {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  li {
    margin: 0.25rem;
  }
</style>
